Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLNodeInformation

    java.lang.Object
      jet.api.BLNodeInformation

    public class BLNodeInformation

extends java.lang.Object

The BLNodeInformation is the class which shows the basic information of JReport BusinessLogic objects including categories, dimensions, measures and detailinformations. BusinessLogic objects are also called Report Cube and Business Cube objects.

Constructor Summary
`BLNodeInformation(java.lang.String name, java.lang.String displayName, java.lang.String description, int sqlType)` Constructor.
`BLNodeInformation(java.lang.String name, java.lang.String displayName, java.lang.String description, int sqlType, java.lang.String qualifiedDisplayName)`

Method Summary
`java.lang.String` | `getDescription()` Gets the description of the data element.
`java.lang.String` | `getDisplayName()` Gets the display name of the data element.
`int` | `getElementType()` Gets the element type of the data element.
`java.lang.String` | `getHandle()` Gets the handle of the data element.
`java.lang.String` | `getName()` Gets the name of the data element.
`java.lang.String` | `getQualifiedDisplayName()` Gets the qualify display name of the data element.
`int` | `getSqlType()` Gets the SQL type of the data element.
`boolean` | `isFormula()` Gets whether the data element refers to a formula.
`void` | `setDescription(java.lang.String description)` Sets the description of the data element.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the data element.
`void` | `setName(java.lang.String name)` Sets the name of the data element.
`void` | `setSqlType(int sqlType)` Sets the SQL type of the data element.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BLNodeInformation

    public BLNodeInformation(java.lang.String name,
                             java.lang.String displayName,
                             java.lang.String description,
                             int sqlType)

  Constructor. Creates a BusinessLogic node information.

  Parameters:
    `name` - Name of BusinessLogic node.
    `displayName` - Display name of BusinessLogic node.
    `description` - Description of BusinessLogic node.
    `sqlType` - Java SQL type of BusinessLogic node.

### BLNodeInformation

    public BLNodeInformation(java.lang.String name,
                             java.lang.String displayName,
                             java.lang.String description,
                             int sqlType,
                             java.lang.String qualifiedDisplayName)

Method Detail

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of the data element.

  Parameters:
    `displayName` - Display name of BusinessLogic node.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the data element.

  Returns:
    display name of BusinessLogic node.

### getQualifiedDisplayName

    public java.lang.String getQualifiedDisplayName()

  Gets the qualify display name of the data element.

  Returns:
    qualify display name of BusinessLogic node.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the data element.

  Parameters:
    `description` - Description of BusinessLogic node.

### getDescription

    public java.lang.String getDescription()

  Gets the description of the data element.

  Returns:
    description of the data element.

### setName

    public void setName(java.lang.String name)

  Sets the name of the data element.

  Parameters:
    `name` - Name of the data element.

### getName

    public java.lang.String getName()

  Gets the name of the data element.

  Returns:
    name of the data element.

### getSqlType

    public int getSqlType()

  Gets the SQL type of the data element.

  Returns:
    SQL type of the data element.

### setSqlType

    public void setSqlType(int sqlType)

  Sets the SQL type of the data element.

  Parameters:
    `sqlType` - SQL type of the data element.

### getElementType

    public int getElementType()

  Gets the element type of the data element. The useful constants for element type:
  - `CatalogAPI.BUSINESSLOGIC_CATEGORY`
  - `CatalogAPI.BUSINESSLOGIC_DIMENSION`
  - `CatalogAPI.BUSINESSLOGIC_MEASURE`
  - `CatalogAPI.BUSINESSLOGIC_FILTER`
  - `CatalogAPI.BUSINESSLOGIC_DETAILINFO`
  - `CatalogAPI.BUSINESSVIEW_GROUP`
  - `CatalogAPI.BUSINESSVIEW_AGGREGATION`
  - `CatalogAPI.BUSINESSVIEW_DETAIL`

  Returns:
    the int value of the element type of the data element.

### isFormula

    public boolean isFormula()

  Gets whether the data element refers to a formula.

  Returns:
    `true` if the data element refers to a formula; otherwise returns `false`.

### getHandle

    public java.lang.String getHandle()

  Gets the handle of the data element.

  Returns:
    handle of the data element.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD